> ## Documentation Index
> Fetch the complete documentation index at: https://new-docs.simplecloud.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cloud statistics

> Get aggregated statistics for the network including server counts, player stats, resource utilization, and health status



## OpenAPI

````yaml https://controller.simplecloud.app/swagger/doc.json get /v0/stats
openapi: 3.1.0
info:
  contact:
    email: support@swagger.io
    name: API Support
    url: http://www.swagger.io/support
  description: API for SimpleCloud Controller
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  termsOfService: http://swagger.io/terms/
  title: SimpleCloud Controller API
  version: '1.0'
servers:
  - url: https://controller.platform.simplecloud.app/
security: []
externalDocs:
  description: ''
  url: ''
paths:
  /v0/stats:
    get:
      tags:
        - stats
      summary: Get cloud statistics
      description: >-
        Get aggregated statistics for the network including server counts,
        player stats, resource utilization, and health status
      parameters:
        - description: Network ID
          in: header
          name: X-Network-ID
          required: true
          schema:
            type: string
        - description: Network Secret
          in: header
          name: X-Network-Secret
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.CloudStats'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/models.ErrorResponse'
          description: Internal Server Error
components:
  schemas:
    models.CloudStats:
      properties:
        health:
          $ref: '#/components/schemas/models.HealthStatus'
        persistent_servers:
          $ref: '#/components/schemas/models.PersistentStats'
        players:
          $ref: '#/components/schemas/models.PlayerStats'
        resources:
          $ref: '#/components/schemas/models.ResourceStats'
        server_groups:
          $ref: '#/components/schemas/models.GroupStats'
        serverhosts:
          $ref: '#/components/schemas/models.ServerhostStats'
        servers:
          $ref: '#/components/schemas/models.ServerStats'
      type: object
    models.ErrorResponse:
      description: Generic error response
      properties:
        error:
          type: string
      type: object
    models.HealthStatus:
      properties:
        healthy_server_percent:
          type: number
        status:
          type: string
      type: object
    models.PersistentStats:
      properties:
        active:
          type: integer
        total:
          type: integer
      type: object
    models.PlayerStats:
      properties:
        capacity:
          type: integer
        online:
          type: integer
        utilization_percent:
          type: number
      type: object
    models.ResourceStats:
      properties:
        average_cpu_percent:
          type: number
        memory_allocated_mb:
          type: integer
        memory_used_mb:
          type: number
      type: object
    models.GroupStats:
      properties:
        active:
          type: integer
        total:
          type: integer
      type: object
    models.ServerhostStats:
      properties:
        active:
          type: integer
        total:
          type: integer
        total_memory_capacity_mb:
          type: integer
      type: object
    models.ServerStats:
      properties:
        active:
          type: integer
        by_state:
          $ref: '#/components/schemas/models.ServersByState'
        total:
          type: integer
      type: object
    models.ServersByState:
      properties:
        available:
          type: integer
        ingame:
          type: integer
        preparing:
          type: integer
        queued:
          type: integer
        starting:
          type: integer
        stopped:
          type: integer
        stopping:
          type: integer
      type: object

````